package gorm.formula.bug

class BadChild extends BadParent
{
  Double height // in m
  Double weight // in kg
  Double bmi // formula: weight / height^2

  static constraints = {
    importFrom BadParent
    height nullable: false
    weight nullable: false
  }

  static mapping = {
    bmi formula: 'weight / (height * height)'
  }
}
